#ifndef ROAD_MAP2
#define ROAD_MAP2
#include <core/resource.h>
#include <core/math/random_number_generator.h>
#include <modules/opensimplex/open_simplex_noise.h>
#include "density_map.h"

class RoadMap2: public Resource {
	GDCLASS(RoadMap2, Resource);
public:
	RoadMap2();
	~RoadMap2();
protected:
	Ref<RandomNumberGenerator> rnd;
	Ref<OpenSimplexNoise> noise;
	bool _set(const StringName &p_name, const Variant &p_value);
	bool _get(const StringName &p_name, Variant &r_ret) const;
	void _get_property_list(List<PropertyInfo> *p_list) const;
	static void _bind_methods();
private:
	int seed;
};
#endif
